The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> unlockpt - unlock a pseudo-terminal master/slave pair

#### SYNOPSIS

> ``[XSI] #include <stdlib.h>
> int unlockpt(int` fildes`);``
> `
> `

#### DESCRIPTION

> The unlockpt() function shall unlock the slave pseudo-terminal device associated with the master to which fildes refers.

> Conforming applications shall ensure that they call unlockpt() before opening the slave side of a pseudo-terminal device.

#### RETURN VALUE

> Upon successful completion, unlockpt() shall return 0. Otherwise, it shall return -1 and set errno to indicate the error.

#### ERRORS

> The unlockpt() function may fail if:

> [EBADF]
>   The fildes argument is not a file descriptor open for writing.
> [EINVAL]
>   The fildes argument is not associated with a master pseudo-terminal device.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> grantpt(), open(), ptsname(), the Base Definitions volume of IEEE Std 1003.1-2001, <stdlib.h>

#### CHANGE HISTORY

> First released in Issue 4, Version 2.

#### Issue 5

> Moved from X/OPEN UNIX extension to BASE.

#### Issue 6

> The DESCRIPTION is updated to avoid use of the term "must" for application requirements.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]